1999-08-05  Waldo Bastian <bastian@kde.org> (KMail-1.0.28)

        * Fixed updating index on exit.

1999-07-30  Sven Radej <radej@kde.org> (KMail-1.0.28)

        * Add "\n" to message before stripping white space and pgp5 signing.
          Thanks, Don!

1999-07-30  Sven Radej <radej@kde.org> (KMail-1.0.28)

        * Reverted to 1.0.27 and fixed pgp5 signature by stripping
          trailing whitespace from whitespace before signing.

1999-07-27  Sven Radej <radej@kde.org> (KMail-1.0.28)

        * Fixed bad pgp5-signature problem. This clears bugs #1353, #1543
          and #1578

1999-07-23  Sven Radej <radej@kde.org> (KMail-1.0.27)

        * Refuse to create a folder which exists. (severe bug 1361)

1999-07-20  Sven Radej <radej@kde.org> (KMail-1.0.27)

        * Fixed a bug reported by Hasso Tepper <hasso@ewsound.estnet.ee>:
          KMail used to die just after deleting a filter.

1999-07-20  Sven Radej <radej@kde.org> (KMail-1.0.26)

        * Fixed bug reported by jbb <jb.nz@writeme.com>: Start kmail,
          open composer, close reader. Now type "kmail -check" - reader
          doesn't appear: close composer, and kmail doesn't exit (although
          it has no visible windows). Fix: main.cpp: newly created windows
          are shown(), existing ones are KWM::activated().

        * Fixed possible bug reported by Jacek Stolarczyk
          <jacek@mer.chemia.polsl.gliwice.pl>: kmail could create attachment
          dirs with zero permissions and then couldn use them.

        * Improved security (hope): unlink lock and message files before writing
          to them (in case user is root and those files are symlinks to
          something)

1999-06-20  Sven Radej <radej@kde.org> (KMail-1.0.26)

        * Fix for references (Thanks Waldo, Roberto, Rik and Peter):
          References = original first + original last + original msg-id
          i.e. references(n) = msgid(1) + msgid(n-2) + msgid(n-1)

        * True fix from jbb <jb.nz@writeme.com> for segfaults when trying
          to work with message wigh has been deleted or moved from current
          folder. KMail now doesn't show last message in folder after the
          message has been deleted.

        * Edit + Send later now really saves changes and updates edited
          message in reader

        * If default sending is "Send now", "Send Later" has accelerator
          CTRL+SHIFT+Return. Otherwise, if default is "Send later", "Send now"
          has that accelerator. If default is Send now, composer  has also
          toolbar icon for send later (floppy icon).

	* Patch from Daniel Naber for correct RMB in kmheaders
        
        * TO/SHOULD DO: When sending == send now and you have some messages in
          outbox folder and you send some other message - all from outbox
          are sent; That means, outbox cannot be used as Draft folder :-(

1999-06-18  Sven Radej <radej@kde.org> (KMail-1.0.25)

        * When replying:
          In-Reply-To = original msg-id
          References = original In-Reply-To

        * Don't use X-Loop string as reply to in any case! Thanks to Daniel
          Naber for detecting this.

        * Use X-Mailing-List instead of X-Loop to determine if we are replying
          to the list.
          
        * Fix from Daniel Naber against corrupted Cc: when replying-to-all

1999-06-17  Sven Radej <radej@kde.org> (KMail-1.0.25)

        * Fix for yesterday's try harder: handle nonexisting dir (message/*)

        * Attachment of message/* have kmail icon instead of unknown

        * View messages in new window (doubleclick on header) and view
          message-attachment share same code; new window has working keys and
          you can click on adresses and urls as in true reader window.

1999-06-16  Sven Radej <radej@kde.org> (KMail-1.0.25)

        * Try harder when looking for attachment icon (go thro' all
          the mimelinks in <type>/ dir to see which one has the <subtype>)

        * Don found the culprit for nasty bug reported by Daniel Naber:
          open composer, change visible header fields, close composer,
          open it again... poof, gone. Culprit was QLabel::setBuddy.

        * Fixed bug reported by jb.nz@writeme.com: move last message
          from folder, then try to set header style -> segfault.
          
1999-06-15  Sven Radej <radej@kde.org> (KMail-1.0.25)

        * Once for all clear corruption when compacting (I hope)

        * Compact all folders and optional do it on exit.

        * Small speedup from Don Sanders: don't sort new messages if sorting
          is by order of arrival.

        * Read PGP public keyring on demand and not always; Since this was
          done on every first message, and pgp sometimes blocks for
          keyboard input for a second or two, this is a great speedup of
          start time (for non PGP messages)
          
1999-05-29  Sven Radej <radej@kde.org> (KMail-1.0.24)

        * Few "unused variable..." cleaned.
        
        * Patch from Daniel Naber <dnaber@mini.gt.owl.de>:
          - Make <body>, <message> and <any header> filter work.
         

1999-05-28  Stefan Taferner  <taferner@kde.org> (KMail-1.0.24)

	* Added delayed update of folder list. This fixes the drastical
	performance loss by the display of the number of unread 
	messages (when processing many messages).

	* Added explanation of %_ to text in settings dialog.

	* Added settings option to turn off automatic sending of
	receive- / read confirmations (default on).

1999-05-27  Sven Radej <radej@kde.org> (KMail-1.0.23)

        * Patch from Toivo Pedaste <toivo@ucs.uwa.edu.au> for displaying text
        formatted with spaces

        * Patches From Daniel Naber <dnaber@mini.gt.owl.de>:
          - Fix against deleteing two messages at once when in trash (bug 1037)
          - Corrected prepending of "--" before signature
          - Button "Help" works now in filter dialog
          - Cancel/Reject fix for kmfilterdialog.cpp
          - updown-bugfix in filter dialog: moving a filter up could screw the
            filter list
          - Note: Johannes Sixt <Johannes.Sixt@telecom.at> also fixed
            wrongly sorted message list when sorting by subject was requested.
            
1999-05-25  Stefan Taferner  <taferner@kde.org> (KMail-1.0.23)

	* Updated documentation about PGP5 and new filter actions.

	* Security fix according attachments: changed place of attachment
	temp directory from /tmp to ~/.kde/share/apps/kmail/tmp

1999-05-19  Stefan Taferner  <taferner@kde.org> (KMail-1.0.22)

	* New filter actions: execute (a shell command), forward-to.
	* Proper resizing of filter-action specific widgets (list of 
	folders, entry fields) when filter is selected.

      ******************* release kde 1.1.1 *******************

1999-04-25  Stefan Taferner  <taferner@kde.org> (KMail-1.0.21)

	* Added a semaphore to not start interval checking when
	already an interval check is running.

	* Removing Bcc header field before sending messages (and adding
	it afterwards).

1999-04-19  Sven Radej <radej@kde.org> (KMail-1.0.20)

        * Fixed #179. KMail checks now if message is deliverd to folder
          before delteing it from spool/pop server. Care has been taken
          also for filter - filter checks if message has been
          added to the folder - if not it returns failure status
          so message goes to non-filter folder (inbox).

1999-04-18  Sven Radej <radej@kde.org> (KMail-1.0.20)

        * Patches from Don Sanders:
          - Fixed  bug #1218: Stopped the checking mail dialog
            from taking the focus.
	  - Fixed  bug #203: Stopped the current message from getting
            scrolled to the top when (interval) mail checking fires.
	  - Fixed  bug #152: Sort the current folder when new mail arrives,
            so that new mail isn't always appended to the end of the
            current folders message list window.

        * Fix to force update when changing header style (this was
          introduced by one of Don's patches)
        
        * Patch from Lars Knoll <knoll@mpi-hd.mpg.de> against
          pgp-thinks-very-long-before-starting-bug

        * Fixed #1203: multiline subjects display in Headers is ok now.
        
1999-04-15 Sven Radej <radej@kde.org> (KMail-1.0.20) 

	* Context sensitive menus in message/folder list.

	* No more stubbornly unread messages (bug #656)- from 
	  Don Sanders <dsanders@cch.com.au>.

	* More robust behavior in case of disaster: Never send signal 
	  to pid 0 = don't  crash whole KDE. (bug #1140).

	* Ignore any sub-directory found in Mail directory.

	* Use paths.h if found, and delete critical lock files with 
          unlink. (Thanks to Harri Porten for "reminding" me).

	* Multipart/Alternative handling (not perfect, still; 
	  such messages with attachments are still ugly - with or without
          this change).

	* Improved return and arrow key navigation/completion in composer.

	* HTML widget honours the selected font size (it uses it as base 
	  font size).

1999-04-11  Stefan Taferner  <taferner@kde.org> (KMail-1.0.19)

	* Added missing index-7.html and index-8.html to doc/Makefile.am
	
	* Fixed broken composer: message bodies did not show up upon
	  reply.
	
	* Added store-pop-password-in-config option, from Michael 
	  Rendell <michael@cs.mun.ca>
	
	* KMMessage::headerField() no longer creates an empty header
	  field when field with given name does not exist.

1999-01-04  Sven Radej <radej@kde.org> (KMail-1.0.18)
        * Patch from Don Sanders <dsanders@cch.com.au> cleared
          bugs 614, 1019 and 941. Also, folders show number of unread
          messages. From him also a patch to KTabListBox which does...
          something I forgot but is usefull :-)

        * Fix for If-I-View-more-HTML-attachments-inline-I-see-only-first
          Done by stripping off </body> and </html> tags from end of them

        * View images inline if you want!

        * In iconic style you can RMB->view, text, html, and images
          in html window.

        * I think Warwick fixed memory leak in kpgp.

        * Someone, sorry I forgot... aha! Jens Kristian Søgaard
          <jk@soegaard.net> changed mailto: behavior both in kfm and kmail.

1999-02-06  Sven Radej <radej@kde.org> (KMail-1.0.17)

        * Server-client method - no more locking problems, lost instead
          of sent mail, ghost messages...
          Do the right thing when sending to "me@there (John Doe)"
          Waldo's folderless-acount-segv-fix
          More against destroyed last char in message
          Better long/normal folder-list geometry bugfix
          Don't quit while sending, and show a label while you send.
        
1999-02-03  Sven Radej <radej@kde.org> (KMail-1.0.16)

	* Bugfix:  possible segv-on-create-folder. Reciever is properly
          shown (index design & version updated) in sent&queued mail.
	  Fix agains overwriting last char in last message when appending 
          new one to folder.

1999-01-30  Stefan Taferner  <taferner@kde.org> (KMail-1.0.16)

	* Removed obsolete / commented-out code.

	* Bugfix: KMail now properly handles the 'filename' attribute
	of message parts in the reader.

1999-01-29  Stefan Taferner  <taferner@kde.org> (KMail-1.0.15)

	* Bugfix: disabled deleting of system folders.

	* Removed save button in composer which is still not
	implemented ;->

	* Bugfix: disabled renaming of system folders (inbox, outbox,
	sent-mails, trash).

	* Fix: improved performance when displaying messages (Bug #148).
	
	* Bugfix: fixed crash when dropping message on directory
	entry in folder list.

	* Improved: email completion of composer (Ctrl-t) now
	searches for appearance of given characters in addressbook's
	list. Up to now only used beginning of string.

	* Added missing i18n() around "Spellcheck complete" in
	composer.

	* Bugfix: Added %_ in composer settings, e.g. for indentation 
	template, to add a space at the end. Added %f which expands
	to the two first characters of the name in the email address.

	* Bugfix: Indentation template (see composer settings) now 
	supports the same wildcards as the other fields, e.g. "%f>%_"

1999-01-28  Stefan Taferner  <taferner@kde.org>

	* Bugfix: kmail hangs when sending large messages via
	SMTP. Actually was a performance issue with QRegExp.
	
	* Bugfix: main window was hidden upon press of Ok button
	in settings dialog.

1999-01-25  Stefan Taferner  <taferner@kde.org>

	* Bugfix: 'From' column did not update new text at
	first.

1999-01-23  Stefan Taferner  <taferner@kde.org> (KMail-1.0.14)

	* New feature: layout can now be switched between
	"long folder list" and "short folder list". Option
	setable in settings->appearance.
	
	* New feature: the "From" column now contains the
	receiver for the folders outbox and sent-mail. Column
	"Sender" automatically switches it's title to "Receiver"
	for these folders.
	
	* Incorporated new documentation.

1999-01-21  Stefan Taferner  <taferner@kde.org> (KMail-1.0.13)

	* Fixed broken placement of contents in settings dialog.

	* Filter Dialog: changed combo box style to new style.
	Now it is possible to have more folders than the screen
	is high and still select them in the filter dialog.
	* Filter Dialog: changed folder combo box to (semi) auto
	resize. Changed layout of dialog to better display all
	elements. Also enabled vertical resizing of dialog.

1999-01-17  Stefan Taferner  <taferner@kde.org> (KMail-1.0.12)

        Patches from Michael Teske <mteske@c-s-k.de>:
	* Fixed broken retrieve-all for pop accounts.
	* Fixed broken marking of new mails as New.

1999-01-01  Stefan Taferner  <taferner@kde.org> (KMail-1.0.11)

	* Hopefully pgp zombies are fixed now.
	* Applied patch for fixing problems with some inline
	  encoding switchings.

1998-12-21  Stefan Taferner  <taferner@kde.org>

	Applied several patches from Lars Heete <hel@admin.de>:
        * missing deletion of drop zone in composer destructor 
	* handling of NULL status field in message base
	* reading process status of finished pgp process to avoid
	  zombies ;-)
	* workaround for "Could not load..." warnings, that should
	  rather be debug messages, in message handler

1998-12-20  Stefan Taferner  <taferner@kde.org> (KMail-1.0.10)

	* Fixed possible crash when subject is empty.

1998-12-17  Juraj Bednar     <bednar@isternet.sk>

        * Added the capatability to insert arbitary public keys from public
          keyring. (PGP)

1998-12-16  Stefan Taferner  <taferner@kde.org> (KMail-1.0.9)

	* Switched busy pointer (if not animated) and hand cursor 
	to new KCursor class.

	* Headers: status of message is now set to read also for
	messages that are displayed when the folder is opened.

1998-12-07  Stefan Taferner  <taferner@kde.org>

	* Updated documentation

1998-12-06  Stefan Taferner  <taferner@kde.org>

	* Added i18n() around label in folder list.

1998-12-03  Stefan Taferner  <taferner@kde.org> (KMail-1.0.8)

	* New messages: added organization to message header
	if given.

	* Headers: position of top message in folder list is
	stored and reused upon next opening. Exception: if there
	is a new or unread message in the folder, then the
	first new/unread message is shown.

	* Composer: fixed missing last character in replies.

	* Composer: attachments are now included in forwards.

1998-11-24  Stefan Taferner  <taferner@kde.org>

	* Pop: does not stop pop retrieval now when pop server does
	not understand LAST command.

1998-11-15  Stefan Taferner  <taferner@kde.org> (KMail-1.0.7)

	* Headers: now current message is not reset when reading mails
	and checking for new messages meanwhile.

	* Pop: added configuration option for leave-mail-on-server.

	* Pop: Fixed problems in pop authentication code.

	* Pop: Enabled POP3 LAST command which was commited to
	kdesupport some time ago.

1998-11-15  Alex Zepeda  <garbanzo@hooked.net>

	* kfontutils.cpp (kfontToStr): Cast two const char *'s to char *'s as
	egcs seems to barf without the casts.

1998-11-10  Harri Porten  <porten@kde.org>

	* Removed hardcoded localkdedir()

	* Let KApplication() do the job of creating ~/.kde/share/config

1998-10-31  Stefan Taferner  <taferner@kde.org> (KMail-1.0.6)

	* Fixed: crash when fetching new mail and inbox folder
	is not accessible.

1998-10-21  Lars Knoll <knoll@mpi-hd.mpg.de>
	* fixed a bug in the support for pgp-2.6

1998-10-08  Stefan Taferner  <taferner@kde.org> (KMail-1.0.5)

	* Sorting messages: replaced sorting algorithm, which caused
	random hangs, with stock qsort -- hopefully working now ;-)

	* Fixed: folder list went out of scope (current item pointing to
	nowhere) when folder was deleted.

	* Composer: fixed broken confirm-close dialog.

	* Increased version to better match upcoming Kde-1.1 release.

	* Added call to kapp->quit() when last window is closed.

1998-10-05  Lars Knoll <knoll@mpi-hd.mpg.de>
	* Added new pgp classes. They should fix a lot of problems
	with the current support of pgp5.0 and pgp2.6, and fix all
	security problems with the old versions of kpgp, since all
	comunication with pgp (including the passphrase) is done via
	pipes.
	
1998-09-26  Stefan Taferner  <taferner@kde.org> (KMail-0.8.1)

	* Fixed crash upon close of a main- or composer window.
	Bug seems to be introduced by changed behaviour of KTMainWindow.
	Still KMail crashes when you click on any message afterwards.

	* Addressbook: finally fixed bug in not reading last line.
	Thanks to all who reported!

	* Replaced occurances of KTopLevelWidget with KTMainWindow.

1998-09-21  Markus Wuebben  <markus@office.DInet.de>

	* added a short cut for mail checking

1998-09-12  Markus Wuebben  <markus@kde.org>

	* some nice little fixes

1998-09-11  Juraj Bednar    <bednar@isternet.sk>

	* finally wrote PGP replying and forwarding decryption
	* PGP 5.0i should work now with no problems (should ;-)

Sun Sep  6 19:20:34 1998  Markus Wuebben  <mason@HoneyBunny.uni-dortmund.de>

	* kmacctpop.cpp (setPasswd): Fixed password problem.

Sun Sep  6 18:28:45 1998  Markus Wuebben  <markus@kde.org>

	* kmreaderwin.cpp :  Finally fixed attachment problem

1998-07-31  Markus Wuebben  <markus@kde.org>

	* kmsettings.cpp / kmmainwin.cpp Implemented send mail on check.
	* kmacctlocal.cpp (processNewMail): Added message box
	warning if mail folder was not found.

	* kmmainwin.cpp Added editing of message in outbox folder.
	* kmfolderdlg.cpp Removed out of index warning
	

1998-07-23  Stefan Taferner  <taferner@kde.org>

	* Added message status "Read". This status is set to
	messages which are loaded with check-mail that have
	status set to "R".
	
	These messages appear whith blue text, but without
	the green ball to the left, in the message list.

1998-07-22  Markus Wuebben  <markus@kde.org>

	* main.cpp Applied session management patch.
 	* kmfolder.cpp Applied fseek patch for solaris

1998-07-03  Stefan Taferner  <taferner@kde.org>

	* PGP: fixed crash when no ~/.pgp/pubring.pgp is installed
	and signed message is selected.

1998-06-30  Stefan Taferner  <taferner@kde.org> (KMail-0.7.9)

	* PGP: removed dialog asking for pass phrase when only
	signed message was given, added missing asking for pass
	phrase when encrypted/signed message is sent.

	* Composer: fixed bug that showed busy pointer all the
	time with auto-append-signature set and no signature file
	given.

	* Composer: removed mSendImmediate which seems unused
	in the composer nowadays. Simplified code of slotSend,
	slotSendNow, and slotSendLater (to be easier consistent).

1998-06-29  Stefan Taferner  <taferner@kde.org> (KMail-0.7.8)

	* Config: writeConfig() was not called when windows
	got closed. Now it is.

1998-06-27  Markus Wuebben <markus@kde.org>

	* kmcomposewin.cpp (applyChanges): add false to applyChanges to
	avoid segfault on ALPHAs.

1998-06-24  Stefan Taferner  <taferner@kde.org>

	* Pgp detection simplified and bugfixed.

	* Folder status messages for index creation and
	compacting folder reduced from every 100th to every 10th.

1998-06-23  Markus Wuebben  <markus@kde.org> (KMail-0.7.7)

	* removed various unnecessary assert()s. and replaced them
	with if()s. Especially in functions that return void this
	is very helpfull and makes kmail more stable.

	* Checked return values with if()s for some functions to
	make sure that we run into to trouble with those problems.
	
1998-06-23  Stefan Taferner  <taferner@kde.org> (KMail-0.7.7)

	* Removed lots of old debug messages.

	* Composer: answering the confirmation is no longer
	ignored.

	* Finetuning: added missing pixmaps to makefile and
	repainted pixmap for queued and sent messages.

	* Composer: changed behaviour of email completion a bit.
	Now it is possible to add multiple recipients with comma
	separated and complete also those after the first one.
	Drawback: email addresses with comma in them are not
	handled properly currently.

	* Pop leave-on-server: due to the fact that we need another
	field in the pop settings dialog "download-all-msgs"
	the leave-on-server checkbox currently also toggles
	the download-all-msgs feature.
	So:  download-all-msgs = !leave-on-server

	* Folders are now marked red after download if they
	contain new or unread messages. As a feature, folders
 	that receive old messages are not marked.

	* Fixed problems in pop code downloading old messages
	also. The "download" dialog is a bit misleading because
	it should say now "checking message:" instead of
	"downloading message:" because old messages are counted
	here also.

1998-06-22  Markus Wuebben  <markus@kde.org> (KMail-0.7.6)

	* fixed a whole bunch of stuff that made kmail segfault.

1998-06-21  Mario Weilguni   <mweilguni@kde.org>

	* small fix for quicker response in kmnewiostatus.cpp

	* "Delete folder" dialog now defaults to "No" (compliant to 
	KDE standards)

1998-06-20  Markus Wuebben  <markus@kde.org>

	* kmsender.cpp (cleanup): Fixed the sendQueued problem.
	If only one message from the outbox couldnt get sent all
	following messages got deleted from the outbox. This is fixed now.
	

1998-06-19  Stefan Taferner  <taferner@kde.org> (KMail-0.7.6)

	* Folder: fixed broken locking on systems without
	flock(). Thanks to Werner Ertle <wer@christl.hl.siemens.de>
	who sent me the patch.

1998-06-18  Stefan Taferner  <taferner@kde.org> (KMail-0.7.5)

	* Deleting folders crashed kmail. Fixed.

	* Folder-compacting: added busy pointer and progress
	output in the status bar (idea from Mario).	

	* Reader: removed ':' from the characters that mark
	quoted text to catch smileys at the beginning of the
	line ;-)

	* Main window configuration (geometry, etc.) is now
	stored again.

	* Composer: changed completion key from Ctrl-. to Ctrl-T
	as kfile has.

1998-06-18  Mario Weilguni   <mweilguni@kde.org>

	* Dialog for folder selection: Escape now closes dialog,
	remembers last folder, has a default pushbutton

1998-06-17  Stefan Taferner  <taferner@kde.org> (KMail-0.7.4)

	* Message-list: now the first unread/new message is
	displayed when opening a folder.

	* Message-status: now messages change status from
	"new" to "unread" when the user changes folder (and
	not when the folder is closed somewhere within KMail).

	* Reader: worked around problem of current HTML widget
	with long lines (without '\n')

1998-06-16  Stefan Taferner  <taferner@kde.org> (KMail-0.7.3)

	* Headers: Improved switching between folders to do
	less paints to avoid flickering where possible.

	* Warnings: changed warning messages of QPixmap and
	QPainter to debug messages to avoid lots of message
	boxes from broken KToolbar code when changing color 
	scheme.

	* Composer (email-address-completion)
	Changed email-address completion to be case insensitive.
	I think this is more useful in the general case.

	* Composer: fixed broken Tab handling. Replaced
	Tab-completion in the email-address header lines 
	(To, From, Cc, etc.) with Ctrl-. completion.

	* Filters: removed some debug statements that slowed
	down filtering a lot.

	* kmmsgbase.cpp: added isUnread() method.

	* Message-list: improved next/prev_unread_message methods.
	Improved code that ensures that current item is visible
	and added it to several places in the headers code.

1998-06-15  Stefan Taferner  <taferner@kde.org>

	* kmfilteraction.cpp (process): Removed patch for kmfilter
	action "Move" of 1998-06-14.
	Fixed bug in kmfilteraction "Move" action.

	* Fonts: reader- and composer-window now change
	their font when the settings are changed.

	* Shutdown: improved handling of window-close and
	KMail shutdown- and crash-handling.
	

1998-06-14  Markus Wuebben  <markus@kde.org>

	* kmfilteraction.cpp (process): Applied patch for kmfilter
	actionmove.

1998-06-13  Mario Weilguni   <mweilguni@kde.org> (KMail-0.7.2)

	* key for next_unread_message and prev_unread_message added

1998-06-12  Stefan Taferner  <taferner@kde.org>

	* Folder loading: moved status message in index
	creation to a more suitable place. Should be lots
	faster now.

	* Composer: Now path of last filedialog for attachments
	is stored.

	* Fonts: improved font settings. The HTML widget
	unfortunately only honors the font family. Added new
	functions (kfontutils.h) for easy font to/from string
	conversion.

1998-06-12  Mario Weilguni   <mweilguni@kde.org> (KMail-0.7.1)
	* new sort algorithm - quicksort instead of bubble-sort

1998-06-11  Stefan Taferner  <taferner@kde.org> (KMail-0.7.0)

	* Initial start now opens the settings dialog. Don't
	be alerted, this will happen once for everybody now ;-)

	* Fonts: implemented font setting for HTML widget,
	list of messages, and composer.

	* Drag&Drop: implemented drag&drop of messages to
	folders. Dropping into HTML widget crashes KMail. 
	Could be a bug of the HTML widget, however.

	* Move-message: improved folder selection dialog.

	* Message-list: now cleared properly when the current
	folder is deleted.

1998-06-11  Markus Wuebben  <markus@kde.org> (KMail-0.6.9)

	* KMail now uses KFileDialog only!

1998-06-11  Mario Weilguni   <mweilguni@kde.org> (KMail-0.6.9)
	
	* "P" and "N" (next and previous mail) will cause the header
	list to be scrolled if the new item is not visible

	* fixed some code to prevent compiler warning

	* panner position is now (again) restored
	
1998-06-07  Stefan Taferner  <taferner@kde.org> (KMail-0.6.8)

	* Folders: changed message about index-recreation
	to debug from warning.

	* Message/Headers: Email addresses like <joe@home.org>
	(with the <> around the address) no longer lead to
	an empty field in the message list.

	* Headers: Removed extra space in header line(s).

	* Headers: Empty Subject moved From and Date one column
	left. Fixed (hopefully).

	* Composer: Send again did not decode quoted-printable
	sent messages. Fixed.

	* PGP: KMail did not ask for mantra upon first reading of
	an encrypted message. Applied patch, from Michael Vogel 
	<icarus@hades.pop-celle.de>, which hopefully works :-)

1998-05-13  Stefan Taferner  <taferner@kde.org> (KMail-0.6.7)

	* Filters: Bugfix: when deleting a folder that was the target
	of a filter the next get-mails crashed.

	* Filter Dialog: Deleting filter rules did not work. Fixed.

1998-05-09  Markus Wuebben  <markus@kde.org>

	* kmsettings.cpp (KMAccountSettings):
	Fixed "Delete mail from server". The row was too low.
	* kmmainwin.cpp
	Added a single account mail check option.

1998-04-29  Markus Wuebben  <markus@kde.org>

	* Reader: Fixed the url parsing which made kmail 
	loop.

1998-04-28  Stefan Taferner  <taferner@kde.org> (KMail-0.6.6)

	* Folders: Emptying of the trash folder resulted in an infinite 
	loop. Fixed now.

1998-04-04  Stefan Taferner  <taferner@kde.org> (Kde Beta-4)

	* Filters: Removed warning dialog. Filters are working ok for
	me for several weeks now.

	* Folders: After I finally also deleted lots of important messages
	by mistake I now changed the behaviour of Folder->Empty to
	move the messages into trash instead of deleting them ;-)
	This made the "Are you sure" dialog now obsolete, IMO.

1998-03-31  Stefan Taferner  <taferner@kde.org> (KMail-0.6.5)

	* Folders: fixed bug introduced on 1998-03-26: open failed on
	folders where lock() returned an error.

1998-03-28  Stefan Taferner  <taferner@kde.org>

	* Headers: when opening a folder the contents was not automatically
	sorted, now is.

	* Pop: new messages retrieved from pop accounts were not
	marked new. Now fixed.

1998-03-26  Stefan Taferner  <taferner@kde.org>

	* Folders: when opening and locking a folder there were
	cases (in fact most of the time) when the folder seemed
	to be not locked but was. Now this is handled better.

1998-03-24  Stefan Taferner  <taferner@kde.org>  (KMail-0.6.4)

	* Message: decoding of quoted-printable RFC1522 strings
	was broken for strings that started with a decoded character.

1998-03-18  Stefan Taferner  <taferner@kde.org>

	* Reader: improved detection of urls and email addresses
	to ignore special characters at the end, e.g. "." or ")".

	* Messagelist: finally fixed sorting of messages. Also
	implemented ascending/descending/none sorting (use multiple
	clicks on the column headers to switch). Sorting order "none"
	is what was IMO missing for the trash folder :-)

1998-03-17  Stefan Taferner  <taferner@kde.org>  (KMail-0.6.3)

	* Composer: in menu view, when 'all headers' view is 
	activated, then the individual header line menu entries are 
	disabled now.

	* Folders: changed creation of folders to -rw-------
	instead of the default -rw-r--r--. Same for the initial
	creation of ~/Mail.

	* Attachments: temporary files (when viewing attachments)
	are now also created with permissions -rw-------.
	
1998-03-15  Stefan Taferner  <taferner@kde.org>  (KMail-0.6.2)

	* Startup: added option -check which does mail checking
	upon startup. Also options that start with a '-' but which
	are unknown are now skipped.

1998-03-09  Stefan Taferner  <taferner@kde.org>  (KMail-0.6.1)

	* Reader: '_' was not considered part of a smart-detected email
	address (auto detection of @).

	* Reader: attachments of type message/rfc822 are now shown
	in an external reader window if open or view from the attachment
	popup menu is chosen.

	* Composer: finally got insertion of tabs into message
	working.

(many changes are missing here, sorry)
	
1998-02-14  Stefan Taferner  <taferner@kde.org>

	* Startup: when recovering dead letters the auto signature was 
	appended twice. Fixed now.

	* Composer: fixed broken inserting of files.

	* kFileToString(): fixed handling of files with zero length.

Initial version: 0.5.7
